import waba.ui.*;
import waba.fx.*;


/**
 * A program that lets a user scribble.
 */

public class Dice extends MainWindow
{
DrawArea drawArea;
Check check;
Button closeButton;
List list;
int listIndex;

public Dice()
	{
	Title title = new Title("Dice");
	title.setRect(0, 0, this.width, 15);
	add(title);

	String[] str={"One","Two","Three","Four"};	
	list = new List(str);	
	list.setRect(this.width-42, 1, 40, 12);
	//Set at "Two Dices" at the beginning
	list.setSelectedIndex(1);
    add(list);	

	drawArea = new DrawArea();
	drawArea.setRect(0, 20, this.width, this.height - 40);
	add(drawArea);

	check = new Check("Sound");
	check.setRect(0, this.height - 15, 50, 15);
	//Sound on
	check.setChecked(true);
	add(check);

	closeButton = new Button("Quit");
	closeButton.setRect(this.width-44, this.height - 15, 44, 15);
	add(closeButton);
	}

public void onEvent(Event event)
	{
	if (event.type == ControlEvent.PRESSED)
		{
			if (event.target == closeButton)
				exit(0);

			else if (event.target == check)
				drawArea.SetSound(check.getChecked());

			else
			{
				listIndex=list.getSelectedIndex()+1;
				drawArea.SetNumber(listIndex);
			}
		}	

	else if (event.type == KeyEvent.KEY_PRESS)
	{
		KeyEvent ke = (KeyEvent)event;

		if(ke.key == IKeys.PAGE_UP || ke.key == IKeys.PAGE_DOWN)
		
			drawArea.ProcessKeyPress();
	}
}
}