//***************************************************************************
// xd_skip: Popup a skip the download window for the Xdrive skip 
// the download service.
//
// Inputs:
//   file_url  : the absolute URL of the file to fetch
//   file_name : the name to call the stored file
//   file_size : the file size in KB
//
// Outputs:
//   none
//***************************************************************************

var skipPartner;
var skipLanguage;

var height = 200;
var width = 575;

function xd_change_location (url)
{
    document.location=url;

}


function xd_skip(file_url,file_name,alt_url,catid,gid,sid,langauge,partner)
{

    var base_url = "http://www.xdrive.com/cgi-bin/skip_the_download.cgi";
    
    if (! file_name || file_name.length == 0)
	{
	    var ii;
	    for (ii=0; ii<= file_url.length; ii++)
		{
		    if (file_url.charAt(ii) == '/')
			{
			    file_name = '';
			}
		    else
			{
			    file_name = file_name + file_url.charAt(ii);
			}
		}
	}

    var params = "FILEURL="   + escape(file_url) +
	"&FILENAME=" + escape(file_name) +
	"&ALTURL=" + escape(alt_url);

    if (langauge) {
	skipLangauge = langauge;
    }
	
    if (partner) {
	skipPartner = partner;
    }
    
    if (skipPartner)
	{
	    params = params + "&STDPARTNER=" + escape(skipPartner);
	}

    if (skipLanguage)
	{
	    params = params + "&LANG=" + escape(skipLanguage);
	}

    if (catid)
	{
	    params = params + "&CATID=" + escape(catid);
	}

    if (gid)
	{
	    params = params + "&GID=" + escape(gid);
	}

    if (sid)
	{
	    params = params + "&SID=" + escape(sid);
	}
	    
    if(skipPartner == 'cnet')
	{
	    height = 235;
	    width = 600;
	}
   

    url = base_url + "?" + params;
    var d = new Date();
    var name = d.getTime();

    document.cookie = "xd_std_info=" + 
                      "FILEURL&"     + file_url     +
                      "&FILENAME&"   + file_name    + 
                      "&ALTURL&"     + alt_url      + 
                      "&STDPARTNER&" + skipPartner  + 
                      "&LANG&"       + skipLanguage + 
                      "&CATID&"      + catid        + 
                      "&SID&"        + sid          + 
                      "&GID&"        + gid          +
                      ";PATH=/";
 
    window.open
	   (
	   url,
	   name,
	  'toolbar=no,menubar=no,scrollbars=no,fullscreen=no,resizable=no,width=' + width + 

',height=' + height
	   );

    return;
}
		
skipPartner='cnet';
skipLanguage='english';

// -->
